Bug 709097 - (CVE-2011-2167) CVE-2011-2167 dovecot: directory traversal due to not obeying chroot directive
CVE-2011-2167 dovecot: directory traversal due to not obeying chroot directive
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110511,reported=20110524,sou...
: Security
Depends On: 709108 885557
Blocks: 712345 855229
  Show dependency treegraph
 
Reported: 2011-05-30 11:22 EDT by Vincent Danen
Modified: 2015-08-19 05:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 23:12:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-05-30 11:22:41 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-2167 to
the following vulnerability:

Name: CVE-2011-2167
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2167
Assigned: 20110524
Reference: http://dovecot.org/pipermail/dovecot/2011-May/059085.html
Reference: http://openwall.com/lists/oss-security/2011/05/18/4
Reference: http://www.dovecot.org/doc/NEWS-2.0

script-login in Dovecot 2.0.x before 2.0.13 does not follow the chroot
configuration setting, which might allow remote authenticated users to
conduct directory traversal attacks by leveraging a script.
Comment 1 Vincent Danen 2011-05-30 12:23:13 EDT
Created dovecot tracking bugs for this issue

Affects: fedora-all [bug 709108]
Comment 2 Huzaifa S. Sidhpurwala 2011-08-05 00:55:08 EDT
Looking at the upstream NEWS file, i dont see this bug/issue being seperately mentioned.
Also looking at the timeline it seems the following patch is the only one which would fit the bill, not sure if its applicable though:

http://hg.dovecot.org/dovecot-2.0/diff/a2d57b43ccb2/src/util/script-login.c
Comment 3 Huzaifa S. Sidhpurwala 2011-08-05 00:56:21 EDT
Michal,

Can you please take a look at this issue?
Comment 7 Michal Hlavinka 2011-08-08 10:38:09 EDT
(In reply to comment #3)
> Michal,
> 
> Can you please take a look at this issue?

this and CVE-2011-2166 have the same fix from comment #2, but this fix causes some regressions. Upstream knows about this and promised to fix it for next version. That fix is not available atm.
Comment 8 Huzaifa S. Sidhpurwala 2011-08-08 23:13:04 EDT
(In reply to comment #7)
> (In reply to comment #3)
> > Michal,
> > 
> > Can you please take a look at this issue?
> 
> this and CVE-2011-2166 have the same fix from comment #2, but this fix causes
> some regressions. Upstream knows about this and promised to fix it for next
> version. That fix is not available atm.

Ok, upstream just confirmed this. I was under the impression that Timo just mentioned CVE-2011-2166.
Comment 9 Huzaifa S. Sidhpurwala 2011-08-08 23:13:15 EDT
Upstream has confirmed that this particular fix, will break current
configurations for the dovecot server, which will only be fixed in 2.0.14

Reference:
http://www.mail-archive.com/dovecot@dovecot.org/msg38350.html
Comment 10 Huzaifa S. Sidhpurwala 2011-09-01 01:22:48 EDT
Dovecot 2.0.14 is released:
http://dovecot.org/list/dovecot-news/2011-August/000193.html

The following in the Changelog suggests that comment #4 has been addressed:

script-login attempted an unnecessary config lookup, which usually
failed with "Permission denied"
Comment 13 errata-xmlrpc 2013-02-21 05:35:28 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0520 https://rhn.redhat.com/errata/RHSA-2013-0520.html
Comment 14 Huzaifa S. Sidhpurwala 2013-02-21 23:23:48 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.